<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">

	<!-- bootstrap meta tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<!-- bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

	<title>Intro to Bootstrap and Simple Styles</title>
</head>
<body>

	<!-- <nav class="bg-primary navbar-white">
		<ul>
			<li>
				<a href="#">Home</a>
			</li>
			<li>
				<a href="#">About Me</a>
			</li>
			<li>
				<a href="#">Projects</a>
			</li>

		</ul>
	</nav> -->

	<p class="text-justify m-5">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Quos commodi, magnam labore sint, voluptas voluptatibus rem, esse iste fuga, odit omnis ex perferendis at? Mollitia laudantium voluptatum quibusdam, aperiam quos?Lorem ipsum dolor, sit amet consectetur adipisicing elit. Quos commodi, magnam labore sint, voluptas voluptatibus rem, esse iste fuga, odit omnis ex perferendis at? Mollitia laudantium voluptatum quibusdam, aperiam quos?Lorem ipsum dolor, sit amet consectetur adipisicing elit. Quos commodi, magnam labore sint, voluptas voluptatibus rem, esse iste fuga, odit omnis ex perferendis at? Mollitia laudantium voluptatum quibusdam, aperiam quos?</p>

	<p class="text-center m-5">Lorem ipsum dolor, sit amet consectetur adipisicing elit. Quos commodi, magnam labore sint, voluptas voluptatibus rem, esse iste fuga, odit omnis ex perferendis at? Mollitia laudantium voluptatum quibusdam, aperiam quos?Lorem ipsum dolor, sit amet consectetur adipisicing elit. Quos commodi, magnam labore sint, voluptas voluptatibus rem, esse iste fuga, odit omnis ex perferendis at? Mollitia laudantium voluptatum quibusdam, aperiam quos?Lorem ipsum dolor, sit amet consectetur adipisicing elit. Quos commodi, magnam labore sint, voluptas voluptatibus rem, esse iste fuga, odit omnis ex perferendis at? Mollitia laudantium voluptatum quibusdam, aperiam quos?</p>

	<!-- text transform and font -->
	<p class="text-lowercase m-5">first paragraph</p>
	<p class="text-uppercase m-5">second paragraph</p>
	<p class="text-capitalize m-5">third paragraph</p>
	<p class="font-weight-bold m-5">fourth paragraph</p>
	<p class="font-italic m-5">fifth paragraph</p>

	<!-- bootstrap COLORS -->

	<div style="background-color: whitesmoke;">
	<p class="text-primary m-5">primary</p>
	<p class="text-secondary m-5">secondary</p>
	<p class="text-warning m-5">warning</p>
	<p class="text-success m-5">success</p>
	<p class="text-danger m-5">danger</p>
	<p class="text-info m-5" >info</p>
	<p class="text-dark m-5">dark</p>
	<p class="text-light bg-dark m-5">light</p>
	</div>

	<!-- COLORS :This is about links -->
	<div>
		<li><a href="#" class="m-5">Primary</a>
		</li>
		<li><a href="#" class="text secondary m-5">Secondary</a>
		</li>
		<li><a href="#" class="text-warning m-5">Warning</a>
		</li>
		<li><a href="#" class="text-sucess m-5">Sucess</a>
		</li>
		<li><a href="#" class="text-danger m-5">Danger</a>
		</li>
		<li><a href="#" class="text-info m-5">Info</a>
		</li>
		<li><a href="#" class="text-dark m-5">Dark</a>
		</li>
		<li><a href="#" class="text-light bg-dark m-5">Light</a>
		</li>
	</div>

	<!-- COLORS: Background  -->
	<div style="background-color: coral; height: 350px; padding: 20px;">
	<p class="bg-primary">Primary</p>
	<p class="bg-secondary">Secondary</p>
	<p class="bg-warning">Warning</p>
	<p class="bg-success">Success</p>
	<p class="bg-danger">Danger</p>
	<p class="bg-info">Info</p>
	<p class="bg-dark">Dark</p>
	<p class="bg-light">Light</p>
	</div>

	<!-- Bootstrap borders: Add border withouth COLOR -->
	<div class="m-2" style="background-color: gray; padding: 30px">
		<img src="https://via.placeholder.com/75x75" class="border"> 
		<img src="https://via.placeholder.com/75x75" class="border-top">
		<img src="https://via.placeholder.com/75x75" class="border-bottom">
		<img src="https://via.placeholder.com/75x75" class="border-left">
		<img src="https://via.placeholder.com/75x75" class="border-right">
	</div>

	<!-- Bootstrap borders: Subtract border w/o color -->
	<div class="m-2" style="background-color: gray; padding: 30px">
		<img src="https://via.placeholder.com/75x75" class="border border-primary border-0"> 
		<img src="https://via.placeholder.com/75x75" class="border border secondary border-top">
		<img src="https://via.placeholder.com/75x75" class="border border warning border-bottom">
		<img src="https://via.placeholder.com/75x75" class="border-left">
		<img src="https://via.placeholder.com/75x75" class="border-right">
	</div>

	<!-- Border Radius -->
	<div class="m-2" style="background-color: gray; padding: 30px">

		<img src="https://via.placeholder.com/75x75" class="rounded">
		<img src="https://via.placeholder.com/75x75" class="rounded-top">
		<img src="https://via.placeholder.com/75x75" class="rounded-right">
		<img src="https://via.placeholder.com/75x75" class="rounded-bottom">
		<img src="https://via.placeholder.com/75x75" class="rounded-bottom">
		<img src="https://via.placeholder.com/75x75" class="rounded-circle">
	</div>

	<!-- Display -->
	<div class="bg-primary d-inline">Block Element</div>
	<span class="bg-success d-block">Inline Element</span>
	<div class="bg-warning d-inline-block my-3">Inline-Block Element</div>

	<!-- Bootstrap: Sizing Width -->
	<div style="width: 600px; background-color: dimgray; padding: 5px; margin: 10px 0;">

		<div class="bg-warning w-25">25%</div>
		<div class="bg-primary w-50">50%</div>
		<div class="bg-success w-75">75%</div>
		<div class="bg-danger w-100">100%</div>
	</div> 

	<!-- Bootstrap: Sizing Height -->
	<div style="height: 200px; background-color: dimgray; padding: 5px" class="d-flex">

		<div class="bg-warning w-25 h-25">25%</div>
		<div class="bg-primary w-25 h-50">50%</div>
		<div class="bg-success w-25 h-75">75%</div>
		<div class="bg-danger w-25 h-100">100%</div>
		<div class="bg-danger w-25 h-auto">Auto</div>
	</div>

	 <!-- Responsive Image  -->
	 <div>
	 	<img src="https://i.pinimg.com/550x/96/f4/58/96f45839e833ce2567a098db5e2e9196.jpg" class="img-fluid h-25 w-25 m-5 rounded-circle d-block mx-auto">
	 </div>

	 <table class="table table-dark table-striped">
	 	<thead>
	 		<tr>
	 			<th>First Name</th>
	 			<th>Last Name</th>
	 		</tr>
	 	</thead>
	 	<tbody>
	 		<tr>
	 			<td>Ian</td>
	 			<td>Tablada</td>
	 		</tr>
	 		<tr>
	 			<td>Ken</td>
	 			<td>Himura</td>
	 		</tr>
	 	</tbody>
	 </table>

	 <div style="margin-top: 100px;"></div>


	<!-- bootstrap JS -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>